#ifndef LC_PROT_LCFU___LAUFLICHT__H
#define LC_PROT_LCFU___LAUFLICHT__H

#include <LC3CGBase.h>
#include <lcfu_iec61131__NOT.h>
#include <lcfu_iec61131__OR.h>
#include <lcfu_iec61131__RS.h>
#include <lcfu_iec61131__R_TRIG.h>
#include <lcfu_iec61131__TON.h>

/*                            Typedefs                         */
typedef struct _LC_TD_FunctionBlock_LAUFLICHT
{
  LC_TD_BOOL LC_VD_RESET;
  LC_TD_BOOL LC_VD_START;
  LC_TD_BOOL LC_VD_ENO;
  LC_TD_BOOL LC_VD_ALIVE;
  LC_TD_TIME LC_VD_ONTIME;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP1;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP2;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP3;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP4;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP5;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP6;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP7;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP8;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP9;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP10;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP11;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP12;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP13;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP14;
  LC_TD_FunctionBlock_R_TRIG LC_VD_R_TRIG_INIT;
  LC_TD_FunctionBlock_R_TRIG LC_VD_R_TRIG_RESET;
  LC_TD_FunctionBlock_R_TRIG LC_VD_R_TRIG_START;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP1;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP2;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP3;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP4;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP5;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP6;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP7;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP8;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP9;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP10;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP11;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP12;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP13;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP14;
} LCCG_StructAttrib LC_TD_FunctionBlock_LAUFLICHT;

/*                   ColdBoot Initialization Macro             */
#define LC_INIT_FunctionBlock_LAUFLICHT(p) \
{ \
  LC_INIT_BOOL(&((p)->LC_VD_START)); \
  LC_INIT_BOOL(&((p)->LC_VD_RESET)); \
  LC_INIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_INIT)); \
  LC_INIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_START)); \
  LC_INIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_RESET)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP1)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP2)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP3)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP4)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP5)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP6)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP7)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP8)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP9)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP10)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP11)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP12)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP13)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP14)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP1)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP2)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP3)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP4)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP5)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP6)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP7)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP8)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP9)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP10)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP11)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP12)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP13)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP14)); \
  LC_INIT_BOOL(&((p)->LC_VD_ALIVE)); \
  LC_INIT_TIME(&((p)->LC_VD_ONTIME)); \
}

/*                   WarmBoot Initialization Macro             */
#define LC_WINIT_FunctionBlock_LAUFLICHT(p,RF) \
{ \
  LC_WINIT_BOOL(&((p)->LC_VD_START),RF); \
  LC_WINIT_BOOL(&((p)->LC_VD_RESET),RF); \
  LC_WINIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_INIT),0); \
  LC_WINIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_START),0); \
  LC_WINIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_RESET),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP1),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP2),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP3),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP4),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP5),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP6),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP7),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP8),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP9),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP10),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP11),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP12),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP13),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP14),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP1),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP2),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP3),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP4),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP5),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP6),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP7),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP8),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP9),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP10),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP11),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP12),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP13),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP14),0); \
  LC_WINIT_BOOL(&((p)->LC_VD_ALIVE),RF); \
  LC_WINIT_TIME(&((p)->LC_VD_ONTIME),RF); \
}

#define LCNS_EL_INI___LAUFLICHT \
  { \
    {\
      sizeof(RTTypeNS_ElementNode), \
      "ALIVE", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_ALIVE), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "ENO", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_ENO), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_OUTPUT, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "I_1", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_I_1), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___I_1, \
      LCNS_PHYS_ADDR_NUM___I_1, \
      NULL, \
      LCNS_IO_FLAG___I_1 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_1", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_1), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_1, \
      LCNS_PHYS_ADDR_NUM___O_1, \
      NULL, \
      LCNS_IO_FLAG___O_1 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_10", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_10), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_10, \
      LCNS_PHYS_ADDR_NUM___O_10, \
      NULL, \
      LCNS_IO_FLAG___O_10 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_11", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_11), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_11, \
      LCNS_PHYS_ADDR_NUM___O_11, \
      NULL, \
      LCNS_IO_FLAG___O_11 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_12", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_12), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_12, \
      LCNS_PHYS_ADDR_NUM___O_12, \
      NULL, \
      LCNS_IO_FLAG___O_12 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_13", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_13), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_13, \
      LCNS_PHYS_ADDR_NUM___O_13, \
      NULL, \
      LCNS_IO_FLAG___O_13 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_14", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_14), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_14, \
      LCNS_PHYS_ADDR_NUM___O_14, \
      NULL, \
      LCNS_IO_FLAG___O_14 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_2", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_2), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_2, \
      LCNS_PHYS_ADDR_NUM___O_2, \
      NULL, \
      LCNS_IO_FLAG___O_2 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_3", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_3), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_3, \
      LCNS_PHYS_ADDR_NUM___O_3, \
      NULL, \
      LCNS_IO_FLAG___O_3 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_4", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_4), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_4, \
      LCNS_PHYS_ADDR_NUM___O_4, \
      NULL, \
      LCNS_IO_FLAG___O_4 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_5", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_5), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_5, \
      LCNS_PHYS_ADDR_NUM___O_5, \
      NULL, \
      LCNS_IO_FLAG___O_5 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_6", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_6), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_6, \
      LCNS_PHYS_ADDR_NUM___O_6, \
      NULL, \
      LCNS_IO_FLAG___O_6 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_7", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_7), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_7, \
      LCNS_PHYS_ADDR_NUM___O_7, \
      NULL, \
      LCNS_IO_FLAG___O_7 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_8", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_8), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_8, \
      LCNS_PHYS_ADDR_NUM___O_8, \
      NULL, \
      LCNS_IO_FLAG___O_8 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "O_9", \
      2, \
      offsetof(LC_TD_LC3_GVType,LC_VD_O_9), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_EXTERNAL, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      LCNS_PHYS_ADDR_STR___O_9, \
      LCNS_PHYS_ADDR_NUM___O_9, \
      NULL, \
      LCNS_IO_FLAG___O_9 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "ONTIME", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_ONTIME), \
      sizeof(LC_TD_TIME), \
      LCOOS_VAREXP_VAR, \
      NULL, \
      LCOOS_VAREXP_TIME, \
      "TIME", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "R_TRIG_INIT", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_R_TRIG_INIT), \
      sizeof(LC_TD_FunctionBlock_R_TRIG), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___R_TRIG, \
      LCOOS_VAREXP_UNDEFINED, \
      "R_TRIG", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "R_TRIG_RESET", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_R_TRIG_RESET), \
      sizeof(LC_TD_FunctionBlock_R_TRIG), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___R_TRIG, \
      LCOOS_VAREXP_UNDEFINED, \
      "R_TRIG", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "R_TRIG_START", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_R_TRIG_START), \
      sizeof(LC_TD_FunctionBlock_R_TRIG), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___R_TRIG, \
      LCOOS_VAREXP_UNDEFINED, \
      "R_TRIG", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RESET", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RESET), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_INPUT, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP1", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP1), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP10", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP10), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP11", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP11), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP12", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP12), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP13", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP13), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP14", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP14), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP2", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP2), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP3", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP3), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP4", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP4), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP5", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP5), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP6", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP6), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP7", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP7), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP8", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP8), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "RS_STEP9", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_RS_STEP9), \
      sizeof(LC_TD_FunctionBlock_RS), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___RS, \
      LCOOS_VAREXP_UNDEFINED, \
      "RS", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "START", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_START), \
      sizeof(LC_TD_BOOL), \
      LCOOS_VAREXP_VAR_INPUT, \
      NULL, \
      LCOOS_VAREXP_BOOL, \
      "BOOL", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP1", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP1), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP10", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP10), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP11", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP11), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP12", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP12), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP13", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP13), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP14", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP14), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP2", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP2), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP3", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP3), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP4", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP4), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP5", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP5), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP6", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP6), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP7", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP7), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP8", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP8), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
    ,\
    {\
      sizeof(RTTypeNS_ElementNode), \
      "TON_STEP9", \
      0, \
      offsetof(LC_TD_FunctionBlock_LAUFLICHT,LC_VD_TON_STEP9), \
      sizeof(LC_TD_FunctionBlock_TON), \
      LCOOS_VAREXP_VAR, \
      LCNS_TNREF___TON, \
      LCOOS_VAREXP_UNDEFINED, \
      "TON", \
      NULL, \
      NULL, \
      NULL, \
      NULL, \
      0 \
    }\
  }
#define LCNS_EL_CNT_LAUFLICHT_NONDMA 51
#define LCNS_EL_CNT___LAUFLICHT (LCNS_EL_CNT_LAUFLICHT_NONDMA)

/*                            Prototype                        */
void  lcfu___LAUFLICHT(LC_TD_FunctionBlock_LAUFLICHT* LC_this, struct _lcoplck_epdb_1_impl* pEPDB);

/* array nodes */

#endif
