#ifndef LC_PROT_LCFU___LAUFLICHT__H
#define LC_PROT_LCFU___LAUFLICHT__H

#include <LC3CGBase.h>
#include <lcfu_iec61131__NOT.h>
#include <lcfu_iec61131__OR.h>
#include <lcfu_iec61131__RS.h>
#include <lcfu_iec61131__R_TRIG.h>
#include <lcfu_iec61131__TON.h>

/*                            Typedefs                         */
typedef struct _LC_TD_FunctionBlock_LAUFLICHT
{
  LC_TD_BOOL LC_VD_RESET;
  LC_TD_BOOL LC_VD_START;
  LC_TD_BOOL LC_VD_ENO;
  LC_TD_BOOL LC_VD_ALIVE;
  LC_TD_TIME LC_VD_ONTIME;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP1;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP2;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP3;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP4;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP5;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP6;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP7;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP8;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP9;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP10;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP11;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP12;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP13;
  LC_TD_FunctionBlock_RS LC_VD_RS_STEP14;
  LC_TD_FunctionBlock_R_TRIG LC_VD_R_TRIG_INIT;
  LC_TD_FunctionBlock_R_TRIG LC_VD_R_TRIG_RESET;
  LC_TD_FunctionBlock_R_TRIG LC_VD_R_TRIG_START;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP1;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP2;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP3;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP4;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP5;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP6;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP7;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP8;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP9;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP10;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP11;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP12;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP13;
  LC_TD_FunctionBlock_TON LC_VD_TON_STEP14;
} LCCG_StructAttrib LC_TD_FunctionBlock_LAUFLICHT;

/*                   ColdBoot Initialization Macro             */
#define LC_INIT_FunctionBlock_LAUFLICHT(p) \
{ \
  LC_INIT_BOOL(&((p)->LC_VD_START)); \
  LC_INIT_BOOL(&((p)->LC_VD_RESET)); \
  LC_INIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_INIT)); \
  LC_INIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_START)); \
  LC_INIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_RESET)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP1)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP2)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP3)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP4)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP5)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP6)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP7)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP8)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP9)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP10)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP11)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP12)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP13)); \
  LC_INIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP14)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP1)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP2)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP3)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP4)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP5)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP6)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP7)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP8)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP9)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP10)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP11)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP12)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP13)); \
  LC_INIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP14)); \
  LC_INIT_BOOL(&((p)->LC_VD_ALIVE)); \
  LC_INIT_TIME(&((p)->LC_VD_ONTIME)); \
}

/*                   WarmBoot Initialization Macro             */
#define LC_WINIT_FunctionBlock_LAUFLICHT(p,RF) \
{ \
  LC_WINIT_BOOL(&((p)->LC_VD_START),RF); \
  LC_WINIT_BOOL(&((p)->LC_VD_RESET),RF); \
  LC_WINIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_INIT),0); \
  LC_WINIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_START),0); \
  LC_WINIT_FunctionBlock_R_TRIG(&((p)->LC_VD_R_TRIG_RESET),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP1),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP2),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP3),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP4),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP5),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP6),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP7),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP8),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP9),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP10),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP11),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP12),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP13),0); \
  LC_WINIT_FunctionBlock_RS(&((p)->LC_VD_RS_STEP14),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP1),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP2),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP3),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP4),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP5),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP6),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP7),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP8),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP9),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP10),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP11),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP12),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP13),0); \
  LC_WINIT_FunctionBlock_TON(&((p)->LC_VD_TON_STEP14),0); \
  LC_WINIT_BOOL(&((p)->LC_VD_ALIVE),RF); \
  LC_WINIT_TIME(&((p)->LC_VD_ONTIME),RF); \
}

/*                            Prototype                        */
void  lcfu___LAUFLICHT(LC_TD_FunctionBlock_LAUFLICHT* LC_this, struct _lcoplck_epdb_1_impl* pEPDB);


#endif
